## org.apache.lucene.analysis.wikipedia
Class WikipediaTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.wikipedia.WikipediaTokenizerFactory

    public class WikipediaTokenizerFactory

extends TokenizerFactory

Factory for `WikipediaTokenizer`.

     <fieldType name="text_wiki" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WikipediaTokenizerFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`WikipediaTokenizerFactory()`

Method Summary
`Tokenizer` `create(Reader input)` Creates a TokenStream of the specified input

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WikipediaTokenizerFactory

    public WikipediaTokenizerFactory()

Method Detail

### create

    public Tokenizer create(Reader input)

  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.